Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QSocketNotifier

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QSocketNotifier class reference

### Public Functions

- QSocketNotifier ( int socket, Type type, QObject * parent, const char * name ) `(obsolete)`

## Member Function Documentation

### QSocketNotifier::QSocketNotifier ( int socket, Type type, QObject * parent, const char * name )

Constructs a socket notifier called name, with the given parent. It enables the socket, and watches for events of the given type.

It is generally advisable to explicitly enable or disable the socket notifier, especially for write notifiers.

See also setEnabled() and isEnabled().